Mailinglist Archive: opensuse-factory (244 mails)

< Previous Next >
[opensuse-factory] rubygem-mysql2 update breaks rails 4.2
good morning,

i just noticed that velum [0] has gotten unresolvable because of a
rubygem-mysql2 minor version bump (from 0.4 to 0.5)

as i could find out in a github issue [1], rails 4.2.x probably won't
update the requirement to mysql 0.5.x anymore. the only way to avoid
patching rails in this regard would be to stick with 0.4.x (i think)

what would be the best thing to do here?

can we add a rubygem-mysql2_0_4 package?

thanks
--
Maximilian Meister

[0] https://build.opensuse.org/package/show/openSUSE:Factory/velum
[1] https://github.com/brianmario/mysql2/issues/950
-----------------------------------------------------------------------
Software Engineer (Container Technologies)
SUSE LINUX GmbH, Maxfeldstr. 5, D-90409 Nuernberg
T: +49 (0) 911 74053 0
F: +49 (0) 911 74053575 - e-mail: mmeister@xxxxxxx
-----------------------------------------------------------------------
SUSE Linux GmbH, GF: Felix Imend├Ârffer, Jane Smithard, Graham Norton,
HRB 21284 (AG N├╝rnberg)
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >